package com.smppw.common.pojo.enums;

import java.util.Arrays;
import java.util.List;

public enum TrendType {
    /**
     * 净值走势
     */
    Nav(1),

    /**
     * 收益走势
     */
    Ret(2),

    /**
     * 超额净值走势
     */
    ExtraNav(3),

    /**
     * 超额算术收益走势
     */
    ExtraRetAri(4),

    /**
     * 超额几何收益走势
     */
    ExtraRetGeo(5),

    /**
     * 回撤走势
     */
    DrawdownTrend(6),

    /**
     * 超额回撤走势
     */
    ExtraDrawdownTrend(7),

    /**
     * 净值变化率
     */
    NetValueChange(8),

    /**
     * 净值变化率
     */
    OrigNav(9);

    private int id;
    private TrendType(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public static final List<TrendType> TABLE_TREND_LIST = Arrays.asList(Nav, ExtraNav, Ret, NetValueChange, DrawdownTrend, ExtraDrawdownTrend, OrigNav);

    public static final List<TrendType> RET_LIST = Arrays.asList(Ret, ExtraRetAri, ExtraRetGeo);

    public static final List<TrendType> NAV_LIST = Arrays.asList(Nav, ExtraNav);
}
